summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris Coggburn2018-11-28 16:30:17 -0700
committerChris Coggburn2018-11-28 16:30:17 -0700
commitf452f26762fcbf6d880096d4bd8f03c0613db6c4 (patch)
tree14aefe8d2afd28f3ed89e1cddaa81c786ce8b9ac
downloadaur-osinfo-db-git.tar.gz
Initial release
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD36
2 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..d083432789f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = osinfo-db-git
+ pkgdesc = Osinfo database of information about operating systems for virtualization provisioning tools
+ pkgver = v20181116.r14.gbb0fa57
+ pkgrel = 1
+ url = https://libosinfo.org/
+ arch = any
+ license = GPL
+ makedepends = osinfo-db-tools
+ makedepends = intltool
+ provides = osinfo-db
+ conflicts = osinfo-db
+ options = !emptydirs
+ source = osinfo-db-git::git+https://gitlab.com/libosinfo/osinfo-db.git#branch=master
+ sha256sums = SKIP
+
+pkgname = osinfo-db-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..77a858111de
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Chris Coggburn <chris+arch at coggburn dot us>
+# Contributor: Balló György <ballogyor+arch at gmail dot com>
+
+pkgname=osinfo-db-git
+pkgver=v20181116.r14.gbb0fa57
+pkgrel=1
+pkgdesc="Osinfo database of information about operating systems for virtualization provisioning tools"
+arch=('any')
+url="https://libosinfo.org/"
+license=('GPL')
+makedepends=('osinfo-db-tools' 'intltool')
+options=('!emptydirs')
+provides=('osinfo-db')
+conflicts=('osinfo-db')
+source=("osinfo-db-git::git+https://gitlab.com/libosinfo/osinfo-db.git#branch=master")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ git describe --long | sed 's/^gpa-//;s/\([^-]*-g\)/r\1/;s/-/./g'
+}
+
+build() {
+ cd "$pkgname"
+ make
+}
+
+check() {
+ cd "$pkgname"
+ make -k check || :
+}
+
+package() {
+ cd "$pkgname"
+ osinfo-db-import --root "$pkgdir" --system osinfo-db-$(date +%Y%m%d).tar.xz
+}